<?php

$watch_collection_custom_css = '';

	/*---------------------------text-transform-------------------*/

	$watch_collection_text_transform = get_theme_mod( 'menu_text_transform_watch_collection','CAPITALISE');
    if($watch_collection_text_transform == 'CAPITALISE'){

		$watch_collection_custom_css .='.main-navigation ul li a{';

			$watch_collection_custom_css .='text-transform: capitalize ;';

		$watch_collection_custom_css .='}';

	}else if($watch_collection_text_transform == 'UPPERCASE'){

		$watch_collection_custom_css .='.main-navigation ul li a{';

			$watch_collection_custom_css .='text-transform: uppercase ;';

		$watch_collection_custom_css .='}';

	}else if($watch_collection_text_transform == 'LOWERCASE'){

		$watch_collection_custom_css .='.main-navigation ul li a{';

			$watch_collection_custom_css .='text-transform: lowercase ;';

		$watch_collection_custom_css .='}';
	}

		/*---------------------------menu-zoom-------------------*/

		$watch_collection_menu_zoom = get_theme_mod( 'watch_collection_menu_zoom','None');

    if($watch_collection_menu_zoom == 'Zoomout'){

		$watch_collection_custom_css .='.main-navigation ul li a{';

			$watch_collection_custom_css .='';

		$watch_collection_custom_css .='}';

	}else if($watch_collection_menu_zoom == 'Zoominn'){

		$watch_collection_custom_css .='.main-navigation ul li a:hover{';

			$watch_collection_custom_css .='transition: all 0.3s ease-in-out !important; transform: scale(1.2) !important; color: var(--first-color);';

		$watch_collection_custom_css .='}';
	}

	/*---------------------------Container Width-------------------*/

$watch_collection_container_width = get_theme_mod('watch_collection_container_width');

		$watch_collection_custom_css .='body{';

			$watch_collection_custom_css .='width: '.esc_attr($watch_collection_container_width).'%; margin: auto';

		$watch_collection_custom_css .='}';

		/*---------------------------Copyright Text alignment-------------------*/

	$watch_collection_copyright_text_alignment = get_theme_mod( 'watch_collection_copyright_text_alignment','LEFT-ALIGN');

	if($watch_collection_copyright_text_alignment == 'LEFT-ALIGN'){

		$watch_collection_custom_css .='.copy-text p{';

			$watch_collection_custom_css .='text-align:left;';

		$watch_collection_custom_css .='}';


	}else if($watch_collection_copyright_text_alignment == 'CENTER-ALIGN'){

		$watch_collection_custom_css .='.copy-text p{';

			$watch_collection_custom_css .='text-align:center;';

		$watch_collection_custom_css .='}';


	}else if($watch_collection_copyright_text_alignment == 'RIGHT-ALIGN'){

		$watch_collection_custom_css .='.copy-text p{';

			$watch_collection_custom_css .='text-align:right;';

		$watch_collection_custom_css .='}';

	}

	/*---------------------------related Product Settings-------------------*/

$watch_collection_related_product_setting = get_theme_mod('watch_collection_related_product_setting',true);

	if($watch_collection_related_product_setting == false){

		$watch_collection_custom_css .='.related.products, .related h2{';

			$watch_collection_custom_css .='display: none;';

		$watch_collection_custom_css .='}';
	}

		/*---------------------------Scroll to Top Alignment Settings-------------------*/

		$watch_collection_scroll_top_position = get_theme_mod( 'watch_collection_scroll_top_position','Right');

		if($watch_collection_scroll_top_position == 'Right'){
	
			$watch_collection_custom_css .='.scroll-up{';
	
				$watch_collection_custom_css .='right: 20px;';
	
			$watch_collection_custom_css .='}';
	
		}else if($watch_collection_scroll_top_position == 'Left'){
	
			$watch_collection_custom_css .='.scroll-up{';
	
				$watch_collection_custom_css .='left: 20px;';
	
			$watch_collection_custom_css .='}';
	
		}else if($watch_collection_scroll_top_position == 'Center'){
	
			$watch_collection_custom_css .='.scroll-up{';
	
				$watch_collection_custom_css .='right: 50%;left: 50%;';
	
			$watch_collection_custom_css .='}';
		}
	
			/*---------------------------Pagination Settings-------------------*/
	
	
	$watch_collection_pagination_setting = get_theme_mod('watch_collection_pagination_setting',true);
	
		if($watch_collection_pagination_setting == false){
	
			$watch_collection_custom_css .='.nav-links{';
	
				$watch_collection_custom_css .='display: none;';
	
			$watch_collection_custom_css .='}';
		}

	/*---------------------------woocommerce pagination alignment settings-------------------*/

	$watch_collection_woocommerce_pagination_position = get_theme_mod( 'watch_collection_woocommerce_pagination_position','Center');

	if($watch_collection_woocommerce_pagination_position == 'Left'){

		$watch_collection_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$watch_collection_custom_css .='text-align: left;';

		$watch_collection_custom_css .='}';

	}else if($watch_collection_woocommerce_pagination_position == 'Center'){

		$watch_collection_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$watch_collection_custom_css .='text-align: center;';

		$watch_collection_custom_css .='}';

	}else if($watch_collection_woocommerce_pagination_position == 'Right'){

		$watch_collection_custom_css .='.woocommerce nav.woocommerce-pagination{';

			$watch_collection_custom_css .='text-align: right;';

		$watch_collection_custom_css .='}';
	}

/*---------------------------Global Color-------------------*/

$watch_collection_first_color = get_theme_mod('watch_collection_first_color');
$watch_collection_second_color = get_theme_mod('watch_collection_second_color');

/*--- First Global Color ---*/

if ($watch_collection_first_color) {
  $watch_collection_custom_css .= ':root {';
  $watch_collection_custom_css .= '--first-color: ' . esc_attr($watch_collection_first_color) . ' !important;';
  $watch_collection_custom_css .= '} ';
}

/*--- Second Global Color ---*/

if ($watch_collection_second_color) {
  $watch_collection_custom_css .= ':root {';
  $watch_collection_custom_css .= '--second-color: ' . esc_attr($watch_collection_second_color) . ' !important;';
  $watch_collection_custom_css .= '} ';
}